Thymeleaf Eclipse plugin 2.1.0 (and 2.0.4) released

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Thymeleaf Eclipse plugin 2.1.0 (and 2.0.4) released

Emanuel
Administrator
A good while after the release of Thymeleaf 2.1, we've finally worked through the feature list for what we wanted out of a 2.1 release of the Eclipse plugin and have 2 new versions of the plugin for you:

 - Version 2.1.0 for Thymeleaf 2.1.x
 - Version 2.0.4 for Thymeleaf 2.0.x

Release 2.1.0 of the Thymeleaf Eclipse plugin comes with auto-complete support for all of Thymeleaf's new attribute and element processors, including the data-* versions of attribute processors, and all the new expression objects and methods from Thymeleaf and all of the extras modules.

Several bugs were also squashed, particularly one that prevented some Eclipse installations from using the Thymeleaf Nature introduced in the last version of the plugin.  This bug was so annoying that the fix was ported to the 2.0.x branch of the Eclipse plugin, which is what the 2.0.4 release includes.

See the GitHub page for links to the Eclipse update site, standalone downloads, and the changelog for all the details: https://github.com/thymeleaf/thymeleaf-extras-eclipse-plugin/


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Thymeleaf Eclipse plugin 2.1.0 (and 2.0.4) released

dav0
Hi - interesting product!  I loaded it up a few months ago and have been going through the STS tutorials, etc., but is something wrong with the repository now?

I got busy and was away from STS for a while, but when I launched it again a week or two ago I started seeing these errors:

An error occurred while collecting items to be installed
session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.thymeleaf.extras.eclipse.contentassist,2.1.0.201401260500
No repository found containing: osgi.bundle,org.thymeleaf.extras.eclipse.contentassist.source,2.1.0.201401260500
No repository found containing: osgi.bundle,org.thymeleaf.extras.eclipse.core,2.1.0.201401260500
No repository found containing: osgi.bundle,org.thymeleaf.extras.eclipse.core.source,2.1.0.201401260500
No repository found containing: org.eclipse.update.feature,org.thymeleaf.extras.eclipse.contentassist.feature,2.1.0.201401260500
No repository found containing: org.eclipse.update.feature,org.thymeleaf.extras.eclipse.contentassist.feature.source,2.1.0.201401260500

Let me know - I'm looking forward to checking out the latest release.

Thanks
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Thymeleaf Eclipse plugin 2.1.0 (and 2.0.4) released

Emanuel
Administrator
I'm not sure if there's anything strange going on with the repository - the plugin files are all on Sourceforge, and as far as I can tell they seem to be reachable and downloadable.

Eclipse can be annoying sometimes in that, if you download the files and they happen to get corrupted, then it will never bother downloading the files again - I've never managed to figure out what kind of caching mechanism it uses for plugin downloads and how to clear it to force a redownload.  If you find you keep getting an error, then I'd suggest trying to install the plugin from the zip file instead.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Thymeleaf Eclipse plugin 2.1.0 (and 2.0.4) released

dav0
Hi Emanuel, I think you are right.  I began noticing this problem on my Windows machine, but then I realized that everything still seems fine on my Mac, so go figure!  :p

I will see if I can't try reinstalling Eclipse, and if that doesn't work, then I'll try updating from the zip instead.  Ugh...

Thanks!
Dave




On Fri, Feb 21, 2014 at 12:13 AM, Emanuel [via Thymeleaf - User Forum] <[hidden email]> wrote:
I'm not sure if there's anything strange going on with the repository - the plugin files are all on Sourceforge, and as far as I can tell they seem to be reachable and downloadable.

Eclipse can be annoying sometimes in that, if you download the files and they happen to get corrupted, then it will never bother downloading the files again - I've never managed to figure out what kind of caching mechanism it uses for plugin downloads and how to clear it to force a redownload.  If you find you keep getting an error, then I'd suggest trying to install the plugin from the zip file instead.



If you reply to this email, your message will be added to the discussion below:
http://forum.thymeleaf.org/Thymeleaf-Eclipse-plugin-2-1-0-and-2-0-4-released-tp4027468p4027535.html
To unsubscribe from Thymeleaf Eclipse plugin 2.1.0 (and 2.0.4) released, click here.
NAML

Loading...